Name:		xscorch
Version:	0.2.0
Release:	9%{?dist}
Summary:	A Scorched Earth clone

Group:		Amusements/Games
License:	GPL
URL:		http://www.xscorch.org/
Source0:	http://www.xscorch.org/releases/%{name}-%{version}.tar.gz
Source1:	xscorch.desktop
Patch0:		http://www.xscorch.org/releases/xscorch-0.2.0-64bit.patch.gz
Patch1:		xscorch-0.2.0-stack-smash.patch
Patch2:		xscorch-0.2.0-termcap.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libX11-devel libXpm-devel gtk2-devel >= 2.4.0 desktop-file-utils
#BuildRequires:	readline-devel

%description
xscorch is a clone of the classic DOS game, "Scorched Earth". The basic goal
is to annihilate enemy tanks using overpowered guns :). Basically, you buy
weapons, you target the enemy by adjusting the angle of your turret and firing
power, and you hope to destroy their tank before they destroy yours.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .stack
# We need this patch to get readline to link (once networkplay becomes stable).
#%patch2 -p1 -b .termcap

%build
# We need this with newer GTK+ 2.x versions because we use GtkCombo.
CFLAGS="%{optflags} -D__ALLOW_DEPRECATED_GTK__"
%configure --without-gtk-12 --disable-network --disable-sound
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	%{SOURCE1}

# Create symlink in pixmaps directory
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf ../xscorch/images/xscorch-icon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Fix encoding
for i in AUTHORS ChangeLog
do
	iconv -f ISO-8859-1 -t UTF-8 < ${i} > ${i}.tmp
	mv -f ${i}.tmp ${i}
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/AI AUTHORS ChangeLog COPYING doc/make_text_data.pl doc/NETWORK NEWS
%doc doc/NOTES README TODO
%{_bindir}/xscorch
%{_datadir}/applications/*xscorch.desktop
%{_mandir}/man6/xscorch.6*
%{_datadir}/pixmaps/xscorch-icon.xpm
%{_datadir}/xscorch/

%changelog
* Fri Jun 22 2007 Marcin Garski <mgarski[AT]post.pl> 0.2.0-9
- Create symlinks in pixmaps directory
- Fix .desktop category
- Spec tweak

* Thu Aug 31 2006 Marcin Garski <mgarski[AT]post.pl> 0.2.0-8
- Rebuild for FC6

* Tue Feb 14 2006 Marcin Garski <mgarski[AT]post.pl> 0.2.0-7
- Add Desktop things

* Tue Feb 14 2006 Marcin Garski <mgarski[AT]post.pl> 0.2.0-6
- Rebuild

* Wed Dec 14 2005 Marcin Garski <mgarski[AT]post.pl> 0.2.0-5
- Prepare for modular X.Org

* Fri Aug 26 2005 Marcin Garski <mgarski[AT]post.pl> 0.2.0-4
- Disable network
- Patch fixing stack smashing
- Patch fixing Readline detection

* Tue Aug 23 2005 Marcin Garski <mgarski[AT]post.pl> 0.2.0-3
- Spec improvements for Fedora Extras

* Wed Jun 02 2004 Marcin Garski <mgarski[AT]post.pl> 0.2.0-2.fc2
- Rebuild for Fedora Core 2

* Wed Mar 31 2004 Marcin Garski <mgarski[AT]post.pl> 0.2.0-1
- Update to 0.2.0

* Wed Feb 11 2004 Marcin Garski <mgarski[AT]post.pl> 0.1.16-2
- Disable sound that cause problems

* Sun Feb  1 2004 Marcin Garski <mgarski[AT]post.pl> 0.1.16-1
- Update to 0.1.16

* Sat Jan 31 2004 Marcin Garski <mgarski[AT]post.pl> 0.1.15-2
- Added xscorch.desktop

* Sat Jan 31 2004 Marcin Garski <mgarski[AT]post.pl> 0.1.15-1
- Initial specfile
